Ubuntu 18.04 LTS / 20.04 LTS / 22.04 LTS:Ceph 弱點 (USN-6063-1)

critical Nessus Plugin ID 175537

概要

遠端 Ubuntu 主機缺少一個或多個安全性更新。

說明

遠端 Ubuntu 18.04 LTS/20.04 LTS/22.04 LTS/22.10 主機上安裝的套件受到 USN-6063-1 公告中所提及的多個弱點影響。

- 在 Red Hat Ceph Storage 中發現一個金鑰長度瑕疵。攻擊者可惡意利用未正確傳遞至加密演算法的非隨機金鑰,該金鑰較弱,可因加密磁碟上的機密性和完整性而遭到惡意利用。(CVE-2021-3979)

- 在擁有 Ceph File 系統共用的 Openstack manilla 中發現一個缺陷,其可讓擁有者讀取/寫入任何 manilla 共用或整個檔案系統。此弱點是因為 Ceph Manager 中的 volumes plug-in 錯誤所致。這允許攻擊者危害檔案系統的機密性和完整性。此問題已在 RHCS 5.2 版和 Ceph 17.2.2 版中修正。(CVE-2022-0670)

- 在 Ceph 中發現一個權限提升缺陷。Ceph-crash.service 允許本機攻擊者以當機轉儲存的形式將權限提升至 root,並轉儲存具權限的資訊。(CVE-2022-3650)

- 在 Ceph 中發現一個與 RGW 後端的 URL 處理有關的缺陷。攻擊者可透過提供 null URL 來惡意利用 URL 處理以使 RGW 損毀,進而造成拒絕服務。(CVE-2022-3854)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

更新受影響的套件。

另請參閱

https://ubuntu.com/security/notices/USN-6063-1

Plugin 詳細資訊

嚴重性: Critical

ID: 175537

檔案名稱: ubuntu_USN-6063-1.nasl

版本: 1.1

類型: local

代理程式: unix

已發布: 2023/5/13

已更新: 2023/10/16

支援的感應器: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: High

基本分數: 9.4

時間分數: 7.4

媒介: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:N

CVSS 評分資料來源: CVE-2022-0670

CVSS v3

風險因素: Critical

基本分數: 9.1

時間分數: 8.2

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:N

時間媒介: CVSS:3.0/E:P/RL:O/RC:C

弱點資訊

CPE: cpe:/o:canonical:ubuntu_linux:18.04:-:lts, cpe:/o:canonical:ubuntu_linux:20.04:-:lts, cpe:/o:canonical:ubuntu_linux:22.04:-:lts, p-cpe:/a:canonical:ubuntu_linux:ceph, p-cpe:/a:canonical:ubuntu_linux:ceph-base, p-cpe:/a:canonical:ubuntu_linux:ceph-common, p-cpe:/a:canonical:ubuntu_linux:ceph-fuse, p-cpe:/a:canonical:ubuntu_linux:ceph-grafana-dashboards, p-cpe:/a:canonical:ubuntu_linux:ceph-immutable-object-cache, p-cpe:/a:canonical:ubuntu_linux:ceph-mds, p-cpe:/a:canonical:ubuntu_linux:ceph-mgr, p-cpe:/a:canonical:ubuntu_linux:ceph-mgr-cephadm, p-cpe:/a:canonical:ubuntu_linux:ceph-mgr-dashboard, p-cpe:/a:canonical:ubuntu_linux:ceph-mgr-diskprediction-cloud, p-cpe:/a:canonical:ubuntu_linux:ceph-mgr-diskprediction-local, p-cpe:/a:canonical:ubuntu_linux:ceph-mgr-k8sevents, p-cpe:/a:canonical:ubuntu_linux:ceph-mgr-modules-core, p-cpe:/a:canonical:ubuntu_linux:ceph-mgr-rook, p-cpe:/a:canonical:ubuntu_linux:ceph-mon, p-cpe:/a:canonical:ubuntu_linux:ceph-osd, p-cpe:/a:canonical:ubuntu_linux:ceph-prometheus-alerts, p-cpe:/a:canonical:ubuntu_linux:ceph-resource-agents, p-cpe:/a:canonical:ubuntu_linux:ceph-test, p-cpe:/a:canonical:ubuntu_linux:ceph-volume, p-cpe:/a:canonical:ubuntu_linux:cephadm, p-cpe:/a:canonical:ubuntu_linux:cephfs-shell, p-cpe:/a:canonical:ubuntu_linux:crimson-osd, p-cpe:/a:canonical:ubuntu_linux:libcephfs-dev, p-cpe:/a:canonical:ubuntu_linux:libcephfs-java, p-cpe:/a:canonical:ubuntu_linux:libcephfs-jni, p-cpe:/a:canonical:ubuntu_linux:libcephfs2, p-cpe:/a:canonical:ubuntu_linux:librados-dev, p-cpe:/a:canonical:ubuntu_linux:librados2, p-cpe:/a:canonical:ubuntu_linux:libradospp-dev, p-cpe:/a:canonical:ubuntu_linux:libradosstriper-dev, p-cpe:/a:canonical:ubuntu_linux:libradosstriper1, p-cpe:/a:canonical:ubuntu_linux:librbd-dev, p-cpe:/a:canonical:ubuntu_linux:librbd1, p-cpe:/a:canonical:ubuntu_linux:librgw-dev, p-cpe:/a:canonical:ubuntu_linux:librgw2, p-cpe:/a:canonical:ubuntu_linux:libsqlite3-mod-ceph, p-cpe:/a:canonical:ubuntu_linux:libsqlite3-mod-ceph-dev, p-cpe:/a:canonical:ubuntu_linux:python-ceph, p-cpe:/a:canonical:ubuntu_linux:python-cephfs, p-cpe:/a:canonical:ubuntu_linux:python-rados, p-cpe:/a:canonical:ubuntu_linux:python-rbd, p-cpe:/a:canonical:ubuntu_linux:python-rgw, p-cpe:/a:canonical:ubuntu_linux:python3-ceph, p-cpe:/a:canonical:ubuntu_linux:python3-ceph-argparse, p-cpe:/a:canonical:ubuntu_linux:python3-ceph-common, p-cpe:/a:canonical:ubuntu_linux:python3-cephfs, p-cpe:/a:canonical:ubuntu_linux:python3-rados, p-cpe:/a:canonical:ubuntu_linux:python3-rbd, p-cpe:/a:canonical:ubuntu_linux:python3-rgw, p-cpe:/a:canonical:ubuntu_linux:rados-objclass-dev, p-cpe:/a:canonical:ubuntu_linux:radosgw, p-cpe:/a:canonical:ubuntu_linux:rbd-fuse, p-cpe:/a:canonical:ubuntu_linux:rbd-mirror, p-cpe:/a:canonical:ubuntu_linux:rbd-nbd

必要的 KB 項目: Host/cpu, Host/Ubuntu, Host/Ubuntu/release, Host/Debian/dpkg-l

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2023/5/9

弱點發布日期: 2022/5/5

參考資訊

CVE: CVE-2021-3979, CVE-2022-0670, CVE-2022-3650, CVE-2022-3854

USN: 6063-1